import { DebugSession } from '../types/debug.js';
import { SearchQuery, PatternMatch } from '../types/search.js';
export declare class SearchIndex {
    private index;
    addSession(sessionId: string, session: DebugSession): void;
    removeSession(sessionId: string): void;
    hasSession(sessionId: string): boolean;
    search(query: SearchQuery, limit?: number): PatternMatch[];
    private extractSearchableText;
    private extractErrorType;
    private calculateSimilarity;
    private calculateStringSimilarity;
    private levenshteinDistance;
    private matchesFilters;
    private getAverageConfidence;
    private toPatternMatch;
}
//# sourceMappingURL=SearchIndex.d.ts.map