import { Node, Edge } from '../types/graph.js';
export declare const createTestProblem: (overrides?: Partial<Node>) => Node;
export declare const createTestHypothesis: (overrides?: Partial<Node>) => Node;
export declare const createTestSolution: (overrides?: Partial<Node>) => Node;
export declare const createTestEdge: (from: string, to: string, type: Edge["type"], overrides?: Partial<Edge>) => Edge;
export declare const createProblemWithSolution: () => {
    problem: Node;
    solution: Node;
    edge: Edge;
};
export declare const createDebugSession: () => {
    problem: Node;
    hypothesis1: Node;
    hypothesis2: Node;
};
//# sourceMappingURL=testFactories.d.ts.map