export declare function ensureDirectory(dirPath: string): Promise<void>;
export declare function readJsonFile<T>(filePath: string): Promise<T | null>;
export declare function writeJsonFile<T>(filePath: string, data: T): Promise<void>;
export declare function listJsonFiles(dirPath: string): Promise<string[]>;
export declare function appendJsonLine<T>(filePath: string, data: T): Promise<void>;
export declare function readJsonLines<T>(filePath: string): Promise<T[]>;
export declare function readJsonLinesStream<T>(filePath: string): AsyncGenerator<T>;
export declare function fileExists(filePath: string): Promise<boolean>;
//# sourceMappingURL=storage.d.ts.map